<app-generic-content-loader [hidden]="!isLoadingBookingDetails"></app-generic-content-loader>
<div [hidden]="isLoadingBookingDetails">
  <div class="row">
    <div class="col-xs-12">
      <div class="map_wrap">
        <div #gmap style="width:100%;height:300px"></div>
      </div>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <div class="col-xs-12">
        <div class="booking-details-wrap">
          <div class="row">
            <div class="margintop20" *ngIf="!isLoadingBookingDetails">
              <div class="col-xs-8">
                <div class="title-heading"><h5 class="grey-bold-heading">Hund handy</h5>
                  <h2>{{bookingDetails.serviceName}} SERVICE</h2><span class="date-wrap time-date-wrap">Booking Time : {{formatDate(bookingDetails.endTime || bookingDetails.scheduledTime)}}</span><span
                    class="time-wrap time-date-wrap">Time : {{formatTime(bookingDetails.endTime || bookingDetails.scheduledTime)}}</span>
                </div>
              </div>
              <div class="col-xs-3">
                <div class="clea-img large-img"><img alt="" src="assets/images/dashboard/cleaning-serv.png"></div>
              </div>

              <div class="col-xs-12">
                <div class="progres-main-wrap">
                  <ul>
                    <li [ngClass]="{'done': bookingDetails.status >= 2}">
                      <span class="cirlcle"></span>
                      <span class="prog-title">IN ROUTE</span>
                    </li>

                    <li [ngClass]="{'done': bookingDetails.status >= 3}">
                      <span class="cirlcle"></span>
                      <span class="prog-title">WORKING</span>
                    </li>

                    <li [ngClass]="{'done': bookingDetails.status >= 4}">
                      <span class="cirlcle"></span>
                      <span class="prog-title">TIDING UP</span>
                    </li>

                    <li [ngClass]="{'done': bookingDetails.status === 5}">
                      <span class="cirlcle"></span>
                      <span class="prog-title">FINISHED</span>
                    </li>
                  </ul>
                </div>

                <!--<div class="action-wrap">
                  <button class="btn form-sumbit-orangedash"> MARK AS WORKING</button>
                </div>-->
              </div>
            </div>
          </div>
        </div>

        <div class="main-reciept-section">
          <div class="invoice-main-wrap">
            <div class="invoice-heading">
              <h3>Invoice</h3>
            </div>
            <div class="invoice-table">
              <div class="invoice-wrap">
                <div class="invoice-title">Service Charges </div>
                <div class="invoice-value">${{bookingDetails?.ratePerHour}} x {{bookingDetails?.hoursNeeded}}/hr</div>
              </div>
              <div class="invoice-wrap">
                <div class="invoice-title">Hunt Handy Charges</div>
                <div class="invoice-value">${{bookingDetails?.userHandyAmount}}</div>
              </div>
              <div class="invoice-wrap">
                <div class="invoice-title">HST Tax ({{bookingDetails?.userHstPercentage}}%)</div>
                <div class="invoice-value">${{bookingDetails?.userHstAmount}}</div>
              </div>
              <div class="invoice-wrap">
                <div class="invoice-title">Credit Used</div>
                <div class="invoice-value">- ${{bookingDetails?.balanceUsed}}</div>
              </div>
              <div class="invoice-wrap">
                <div class="invoice-title">Total</div>
                <div class="invoice-value">${{bookingDetails?.chargedAmount}}</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
